*-- mult_dtl.prg
*-- Multiple Detail Band Report

* Create temporary cursor
CREATE CURSOR tmpcurs ;
  (rec_type C(1), inv_no C(4), client C(30), ;
  po_no C(4), inv_date D(8), due_date D(8), ;
  inv_amt N(10,2), chk_no C(4), date_rcvd D(8), ;
  amt_paid N(10,2))
INDEX ON client + rec_type + inv_no TAG PrimaryKey   
   
* Add invoices to cursor
SELECT tmpcurs
SCATTER MEMVAR MEMO BLANK
SELECT 0
USE invoice
SCAN
  SCATTER MEMVAR MEMO
  m.rec_type = '1'
  INSERT INTO tmpcurs FROM MEMVAR
ENDSCAN
USE

* Add payments to cursor
SELECT tmpcurs
SCATTER MEMVAR MEMO BLANK
SELECT 0
USE payment
SCAN
  SCATTER MEMVAR MEMO
  m.rec_type = '2'
  INSERT INTO tmpcurs FROM MEMVAR
ENDSCAN
USE

* Print the report
SELECT tmpcurs
GOTO TOP
IF 'VISUAL' $ UPPER(VERSION())
  REPORT FORM vfp_mult NOCONSOLE TO PRINTER PROMPT PREVIEW
ELSE
  REPORT FORM fp2_mult NOCONSOLE TO PRINTER PROMPT PREVIEW
ENDIF
USE
